routes/web.php
    /** ADD ALL LOCALIZED ROUTES INSIDE THIS GROUP **/
    Route::get('/', 'IndexPageController@index')->name('index');

    Route::prefix('/products')->group(function () {

        Route::get('/spring-burst', 'ProductController@spring_burst')->name('products.spring_burst');
        Route::get('/safari-style', 'ProductController@safari_style')->name('products.safari_style');

        Route::get('/download/{token}', 'ProductController@download')->name('products.download');
        Route::get('/portugal-morning', 'ProductController@pm')->name('products.pm');
        Route::get('/{pack}', 'ProductController@show')->name('products.show');
    });

    Route::get('/cart', 'CartController@show')->name('cart.show');
    Route::get('/cart/all', 'CartController@all')->name('cart.all');
    Route::post('/cart', 'CartController@create')->name('cart.create');
    Route::post('/cart/add', 'CartController@add')->name('cart.add');
    Route::patch('/cart', 'CartController@update')->name('cart.update');

    Route::get('/paypal/payment', 'PayPalController@payment')->name('paypal.payment');
    Route::post('/paypal/payment', 'PayPalController@beforePayment')->name('paypal.beforePayment');
    Route::get('/paypal/cancel', 'PayPalController@cancel')->name('paypal.payment.cancel');
    Route::get('/paypal/payment/success', 'PayPalController@success')->name('paypal.payment.success');
    Route::post('/paypal', 'PayPalController@store')->name('paypal.store');

    Route::get('/payment/paypal', 'PaymentController@paypal')->name('payment.paypal');
    Route::post('/payment/cp', 'PaymentController@cloudPaymentsCreate')->name('payment.cloudpayments.create');
    Route::patch('/payment/cp', 'PaymentController@cloudPaymentsUpdate')->name('payment.cloudpayments.update');

    Route::post('/profile', 'ProfileController@store')->name('profile.store');
    Route::get('/profile/create', 'ProfileController@create')->name('profile.create');

    Route::post('/orders', 'OrderController@store')->name('orders.store');
    Route::patch('/orders/{id}', 'OrderController@update')->name('orders.update');

    Route::post('/completed-orders', 'CompletedOrderController@store')->name('completed-orders.store');

    Route::resource('/shopping_cart_products', 'ShoppingCartProductController');
    Route::resource('/shopping_cart_product_list', 'ShoppingCartProductListController');

    // Route::resource('zip', 'ZipController', ['only' => ['show']]);
    Route::get('/zip/{token}/category/{category}', 'ZipController@show')->name('zip.show');
});


//Route::get('/products', 'ProductController@index')->name('products.index');

Route::post('/gifts', 'GiftController@store')->name('gifts.store');

Route::get('/magiclink/{token}', 'MagicLinkController@authenticateEmail')->name('magiclink.authenticate-email');
Route::get('/magiclink', 'MagicLinkController@index');
Route::post('/magiclink', 'MagicLinkController@login')->name('magiclink.login');

//Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

Route::get('/.well-known/apple-developer-merchantid-domain-association', 'AppleController@domain_association');

Route::get('/admin/login', 'AdminController@login')->name('admin.show');
Route::post('/admin/login', 'AdminController@postLogin')->name('admin.login');;
Route::get('/admin/token/{token}', 'AdminController@authenticate')->name('admin.token');
Route::get('/admin/dashboard', 'AdminController@dashboard')->middleware('auth')->name('admin.dashboard');
Route::get('/admin/dashboard/simple', 'AdminController@simple')->middleware('auth')->name('admin.dashboard.simple');
Route::get('/admin/dashboard/gifts', 'GiftController@show')->middleware('auth')->name('admin.dashboard.gifts.show');
Route::get('/admin/dashboard/gifts/full', 'GiftController@full')->middleware('auth')->name('admin.dashboard.gifts.full');
Route::get('/admin/dashboard/products/{id}', 'AdminController@product')->middleware('auth')->name('admin.dashboard.product');
Route::get('/admin/panel', 'AdminController@panel')->middleware('auth')->name('admin.panel');
Route::get('/admin/panel/simple', 'AdminController@panelSimple')->middleware('auth')->name('admin.panel.simple');
Route::get('/admin/panel/orders', 'AdminController@orders')->middleware('auth')->name('admin.panel.orders');
Route::get('/admin/logout', 'AdminController@logout')->name('admin.logout');

Route::prefix('admin/panel')->namespace('Admin\Panel')->name('admin.panel.')->middleware('auth')->group(function () {
    // Controllers Within The "App\Http\Controllers\Admin\Panel" Namespace
    Route::get('/profiles', 'ProfileController@show')->name('profiles.show');
    Route::get('/faq-items', 'FaqItemController@index')->name('faq-items.index');
    Route::get('/faq-items/create', 'FaqItemController@create')->name('faq-items.create');
    Route::post('/faq-items', 'FaqItemController@store')->name('faq-items.store');
    Route::get('/faq-items/{faqItem}/edit', 'FaqItemController@edit')->name('faq-items.edit');
    Route::put('/faq-items/{faqItem}', 'FaqItemController@update')->name('faq-items.update');

    Route::get('/email_campaigns', 'EmailCampaignController@index')->middleware('auth')->name('email_campaigns.index');
    // Route::get('/email_campaigns/{id}', 'EmailCampaignController@show')->middleware('auth')->name('email_campaigns.show');


    Route::post('/email_campaigns', 'EmailCampaignController@send')->middleware('auth')->name('email_campaigns.send');
    Route::post('/email_campaigns/before/{id}', 'EmailCampaignController@beforeSend')->middleware('auth')->name('email_campaigns.before');
    //    Route::post('/mail/updatePromotions', 'EmailCampaignController@updatePromotions')->middleware('auth')->name('mail.updatePromotions');
    Route::post('/promotions', 'CreatedMailingPromotionsController@store')->middleware('auth')->name('promotions.store');

    Route::post('/mail/rollback/{id}', 'EmailCampaignController@rollback')->middleware('auth')->name('mail.rollback');
    Route::get('/mail/send_instagram_email', 'EmailCampaignController@sendInstagramEmail')->middleware('auth')->name('mail.send_instagram_email');


    // Mail Views
    Route::get('/mail/viewmail', 'EmailCampaignController@viewmail')->middleware('auth')->name('mail.viewmail');
    Route::get('/mail/updated_presets_without_promotion', 'EmailCampaignController@viewUpdatedPresetsMailWithoutPromotion')->middleware('auth');
    Route::get('/mail/with_instagram', 'EmailCampaignController@viewMailWithInstagram')->middleware('auth')->name('mail.rollback');
    Route::get('/mail/purchase', 'EmailController@viewPurchase')->middleware('auth')->name('mail.purchase');
    Route::get('/mail/profile_created', 'EmailController@viewProfileCreated')->middleware('auth')->name('mail.profile_created');

    // Golden Caramel Promotion Email Campaign
    Route::get('/email_campaigns/golden_caramel_promotion', 'EmailCampaignController@goldenCaramelPromotionShow')->middleware('auth')->name('email_campaigns.golden_caramel_promotion.show');
    Route::post('/email_campaigns/golden_caramel_promotion', 'EmailCampaignController@goldenCaramelPromotionSubscribe')->middleware('auth')->name('email_campaigns.golden_caramel_promotion_subscribe');
    Route::delete('/email_campaigns/{emailCampaign}', 'EmailCampaignController@unsubscribe')->middleware('auth')->name('email_campaigns.unsubscribe');
    Route::post('/email_campaigns/golden_caramel_promotion/send', 'EmailCampaignController@goldenCaramelPromotionSend')->middleware('auth')->name('email_campaigns.golden_caramel_promotion_send');
    Route::get('/mail/golden_caramel_promotion', 'EmailCampaignController@viewMailGoldenCaramelPromotion')->middleware('auth')->name('mail.golden_caramel_promotion');

    // Free Preset Discount
    Route::get('/email_campaigns/add_discount_for_users_with_free_preset_promotion', 'EmailCampaignController@addDiscountForUsersWithFreePresetPromotionShow')->middleware('auth')->name('email_campaigns.add_discount_for_users_with_free_preset_promotion.show');
    Route::post('/email_campaigns/add_discount_for_users_with_free_preset_promotion', 'EmailCampaignController@addDiscountForUsersWithFreePresetPromotionSubscribe')->middleware('auth')->name('email_campaigns.add_discount_for_users_with_free_preset_promotion_subscribe');
    Route::post('/email_campaigns/add_discount_for_users_with_free_preset_promotion/send', 'EmailCampaignController@addDiscountForUsersWithFreePresetPromotionSend')->middleware('auth')->name('email_campaigns.add_discount_for_users_with_free_preset_promotion_send');
    Route::get('/mail/add_discount_for_users_with_free_preset_promotion', 'EmailCampaignController@viewAddDiscountForUsersWithFreePresetPromotion')->middleware('auth')->name('mail.add_discount_for_users_with_free_preset_promotion');


    Route::resource('/products', 'ProductController')->middleware('auth');
    Route::resource('/global_strings', 'GlobalStringController')->middleware('auth');
});

Route::prefix('/support/dashboard')->namespace('Support\Dashboard')->name('support.dashboard.')->middleware('auth')->group(function () {
    // Controllers Within The "App\Http\Controllers\Admin\Panel" Namespace
    Route::get('/', 'DashboardController@index')->name('index');
    Route::get('/gifts', 'DashboardController@gifts')->name('gifts');
    Route::post('/d', 'DashboardController@findUserDownloadLink')->name('d');
    Route::post('/mail', 'DashboardController@sendMail')->name('d.mail');

    Route::get('/discounts', 'DiscountController@index')->name('discounts.index');
    Route::get('/discounts/create', 'DiscountController@create')->name('discounts.create');
    Route::post('/discounts', 'DiscountController@store')->name('discounts.store');
    Route::delete('/discounts/{id}', 'DiscountController@destroy')->name('discounts.destroy');

    Route::get('/products/{id}', 'ProductController@show')->name('products.show');

    Route::resource('/orders', 'CompletedOrderController')->middleware('auth');

app/Http/Controllers/Support/Dashboard/CompletedOrderController.php
<?php

namespace App\Http\Controllers\Support\Dashboard;

use App\User;
use App\Order;
use App\Product;
use Illuminate\Http\Request;
use App\Events\OrderCompleted;
use App\Events\OrderWasCompleted;
use App\Listeners\CreatePromotion;
use Illuminate\Support\Facades\App;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Gate;
use Illuminate\Pagination\LengthAwarePaginator;

class CompletedOrderController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        if (Gate::denies('show-support')) {
            return abort(403);
        }

        // только без UTM!!!
        $orders = Order::when(!request()->filled('user_email'), function ($query) {
            $query->where('payment_type', 'custom');
        })
            ->when(request()->has('user_email'), function ($query) {
                $query->whereHas('user', function ($query) {
                    $query->where('email', request('user_email'));
                });
            })
            ->latest()
            ->completed()
            ->with('user')
            ->with('user.profile')
            ->with('product')
            ->paginate(5);
        return view('support.dashboard.orders.index', compact(['orders']));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        if (Gate::denies('show-support')) {
            return abort(403);
        }

        $products = Product::where('type', '<>', 'promotion')->where('type', '<>', 'bundle')->orderBy('title')->get();

        return view('support.dashboard.orders.create', compact(['products']));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        if (Gate::denies('show-support')) {
            return abort(403);
        }

        $this->validate($request, []);

        $user = User::firstOrCreate(['email' => $request->email]);

        $productIds = explode(',', $request->values);

        $order = Order::create([
            'user_id'      => $user->id,
            'status'       => Order::STATUS_COMPLETED,
            'total'        => $request->total,
            'payment_type' => 'custom',
            'currency'     => $request->currency,
        ]);

        $order->products()->attach($productIds);

        event(new OrderWasCompleted($order));

        return redirect(route('support.dashboard.orders.index'));
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Order  $order
     * @return \Illuminate\Http\Response
     */
    public function show(Order $order)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Order  $order
     * @return \Illuminate\Http\Response
     */
    public function edit(Order $order)
    {
        if (Gate::denies('show-support')) {
            return abort(403);
        }

        $products = Product::where('type', '<>', 'promotion')->get();

        return view('support.dashboard.orders.edit', compact(['order', 'products']));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Order  $order
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Order $order)
    {
        if (Gate::denies('show-support')) {
            return abort(403);
        }

        $this->validate($request, [
            'email'      => 'required|email|exists:users,email',
            'product_id' => 'required|exists:products,id',
            'currency'   => 'required|in:' . Order::CURRENCY_RUB . ',' . Order::CURRENCY_USD,
            'total'      => 'required|integer|gt:0',
        ]);

        $order->fill($request->all());
        $order->save();


        if ($request->send_email) {
            event(new OrderWasCompleted($order));
        }

        return redirect()->route('support.dashboard.orders.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Order  $order
     * @return \Illuminate\Http\Response
     */
    public function destroy(Order $order)
    {
        if (Gate::denies('show-support')) {
            return abort(403);
        }

        if ($order) {
            $order->user->downloadables()->where('product_id', $order->product_id)->delete();
            $order->user->promotions()->where('product_id', $order->product_id)->delete();
            $order->delete();
        }

        return redirect()->route('support.dashboard.orders.index');
    }
}

app/Http/Controllers/Support/Dashboard/DiscountController.php
<?php


namespace App\Http\Controllers\Support\Dashboard;


use App\User;
use App\Product;
use App\Discount;
use Illuminate\Http\Request;
use App\Services\CreateDiscount;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Gate;
use App\Http\Requests\DiscountControllerStoreRequest;

class DiscountController extends Controller
{
    public function index(Request $request)
    {
        if (Gate::denies('show-support')) {
            return abort(403);
        }

        $data = $this->validate($request, [
            'user_email' => 'exists:users,email',
            'product_id' => 'exists:products,id',
        ]);

        $discounts = Discount::when(request()->has('user_email'), function ($query) use ($request) {
            $query->whereHas('user', function ($query) use ($request) {
                $query->where('email', $request->input('user_email'));
            });
        })->when(request()->has('product_id'), function ($query) use ($request) {
            $query->whereHas('product', function ($query) use ($request) {
                $query->where('id', $request->input('product_id'));
            });
        })
            ->with('user')
            ->with('product')
            ->latest()
            ->paginate(8);

        return view('support.dashboard.discounts.index', compact(['discounts']));
    }

    public function create()
    {
        if (Gate::denies('show-support')) {
            return abort(403);
        }

        $products = Product::all();

        return view('support.dashboard.discounts.create', compact('products'));
    }

    public function store(DiscountControllerStoreRequest $request, CreateDiscount $createDiscount)
    {
        if (Gate::denies('show-support')) {
            return abort(403);
        }

        $createDiscount->call($request->getDto());

        return redirect(route('support.dashboard.discounts.index'));
    }

    public function destroy($id)
    {
        if (Gate::denies('show-support')) {
            return abort(403);
        }

        $discount = Discount::findOrFail($id);
        $discount->delete();
        return redirect(route('support.dashboard.discounts.index'));
    }
}

app/Http/Controllers/Support/Dashboard/ProductController.php
<?php


namespace App\Http\Controllers\Support\Dashboard;


use App\Http\Controllers\Controller;
use App\Product;
use Illuminate\Support\Facades\Gate;

class ProductController extends Controller
{
    public function show($id)
    {
        if (Gate::denies('show-support')) {
            return abort(403);
        }

        return Product::findOrFail($id);
    }
}

resources/views/support/dashboard/discounts/create.blade.php
<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta name="robots" content="noindex, nofollow" />
    <meta charset="utf-8">
    <meta content="width=device-width,initial-scale=1" name="viewport">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>Пресеты Жени Савиной</title>
    <meta content="Пресеты Жени Савиной" name="description">

    <link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@400;500;600;700;800;900&display=swap" rel="stylesheet">

    <link href="{{ mix('css/app.css')}}" rel="stylesheet">
</head>

<body>
<nav class="navbar navbar-dark sticky-top bg-dark flex-md-nowrap p-0">
    <a class="navbar-brand col-sm-3 col-md-2 mr-0" href="{{ url('/') }}">Пресеты Жени Савиной</a>
    <a class="navbar-brand col-sm-3 col-md-2 mr-0" href="{{ route('support.dashboard.discounts.index') }}">Скидки</a>
    <ul class="navbar-nav px-3">
        <li class="nav-item text-nowrap">
            <a class="nav-link" href="{{ route('admin.logout') }}">Выйти</a>
        </li>
    </ul>
</nav>



<div class="container-fluid">
    <div class="row">
        <div class="col-md-2 d-md-block bg-light sidebar">
            <div class="sidebar-sticky">

            </div>
        </div>
        <main role="main" class="col-md-9 ml-sm-auto col-lg-10 px-4">
            <form method="post" action="{{ route('support.dashboard.discounts.store') }}">
                @csrf
                <div class="form-row js-discount-form">
                    <div class="form-group col-md-6">
                        <label for="inputEmail4">Email пользователя</label>
                        <input name="user_email" type="email" class="form-control @error('user_email') is-invalid @enderror" id="inputEmail4" placeholder="Email" required>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="inputState">Продукт</label>
                        <select name="product_id" class="form-control @error('product_id') is-invalid @enderror js-product-select" id="inlineFormCustomSelectPref">
                            <option class="js-option-empty" selected>Выбрать...</option>
                            @foreach($products as $product)
                                <option value="{{ $product->id }}" data-url="{{ route('support.dashboard.products.show', $product->id) }}">{{ $product->title }}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-row js-product" style="display: none">
                    <div class="col-md-6 mb-3">
                        <label for="validationDefault03">Цена в рублях</label>
                        <input type="text" class="form-control js-product-rub" id="validationDefault03" value="5500" disabled>
                    </div>
                    <div class="col-md-3 mb-3">
                        <label for="validationDefault04">Цена в долларах</label>
                        <input type="text" class="form-control js-product-usd" id="validationDefault04" value="55" disabled>
                    </div>
                </div>
                <div class="form-row js-discount" style="display: none">
                    <div class="col-md-6 mb-3">
                        <label for="validationDefault03">Новая цена в рублях</label>
                        @error('rub_price')
                        <div class="alert alert-danger">{{ $message }}</div>
                        @enderror
                        <input name="rub_price" type="text" class="form-control js-discount-rub" id="validationDefault05" required>
                    </div>
                    <div class="col-md-3 mb-3">
                        <label for="validationDefault04">Новая цена в долларах</label>
                        @error('usd_price')
                        <div class="alert alert-danger">{{ $message }}</div>
                        @enderror
                        <input name="usd_price" type="text" class="form-control js-discount-usd" id="validationDefault06" required>
                    </div>
                </div>
                <button type="submit" class="btn btn-primary js-submit-btn">Добавить скидку</button>
            </form>
        </main>
    </div>
</div>


<script src="{{ mix('js/app.js') }}"></script>
<script type="text/javascript" src="{{ asset('js/select2.js') }}"></script>
<script type="text/javascript" src="{{ asset('js/floatingFormLabels.min.js') }}"></script>
<script src="{{ asset('js/jquery.event.move.js') }}"></script>
<script src="{{ asset('js/jquery.twentytwenty.js') }}"></script>
<script src="{{ asset('js/libs/jquery.mousewheel.js') }}"></script>
<script src="{{ asset('js/libs/SmoothScroll.js') }}"></script>
<script type="text/javascript" src="{{ asset('js/app_custom.js') }}"></script>

<script>
    $(document).ready(function() {
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
        });

        $('.js-discount-form :input, .js-discount-form select').each(function() {
            const input = $(this);
            input.focus(function() {
                $(this).removeClass('is-invalid');
            });
        });

        $('.js-product-select').change(function() {
            if($('select[name="product_id"] :selected').hasClass('js-option-empty')) {
                console.log('empty');
                return;
            }

            const submitBtn = $('.js-submit-btn');
            submitBtn.prop('disabled', true);

            console.log($(this).val());
            const url = $('select[name="product_id"] :selected').data('url');
            console.log(url);


            $.ajax({
                type: 'GET',
                url: url,
                success: function (data) {
                    console.log(data);
                    submitBtn.prop('disabled', false);
                    const product = $('.js-product');
                    const discount = $('.js-discount');
                    $('.js-product-rub').val(data.price_discount);
                    $('.js-product-usd').val(data.usd_price_discount);
                    $('.js-discount-rub').val(data.price_discount);
                    $('.js-discount-usd').val(data.usd_price_discount);
                    product.show();
                    discount.show();
                },
            });
        });
    });
</script>

</body>
</html>

resources/views/support/dashboard/discounts/index.blade.php
<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">

<head>
    <meta name="robots" content="noindex, nofollow" />
    <meta charset="utf-8">
    <meta content="width=device-width,initial-scale=1" name="viewport">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>Пресеты Жени Савиной</title>
    <meta content="Пресеты Жени Савиной" name="description">

    <link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@400;500;600;700;800;900&display=swap"
        rel="stylesheet">

    <link href="{{ mix('css/app.css')}}" rel="stylesheet">
</head>

<body style="padding-top: 4.5rem">
    <nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
        <a class="navbar-brand" href="{{ url('/') }}">Сайт</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarCollapse"
            aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarCollapse">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item active">
                    <a class="nav-link" href="{{ route('support.dashboard.index') }}">Dashboard</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{ route('support.dashboard.gifts') }}">Бесплатные пресеты</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{ route('support.dashboard.discounts.index') }}">Скидки</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{ route('support.dashboard.discounts.create') }}">Добавить скидку</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{ route('support.dashboard.orders.index') }}">Ручные заказы</a>
                </li>
                <li class="nav-item">
                    <a href="{{ route('support.dashboard.users.index') }}" class="nav-link">Пользователи</a>
                </li>
            </ul>
            <ul class="navbar-nav px-3">
                <li class="nav-item text-nowrap">
                    <a class="nav-link" href="{{ route('admin.logout') }}">Выйти</a>
                </li>
            </ul>
        </div>
    </nav>

    <div class="container-fluid">
        <div class="row">
            <div class="col-md-2 d-md-block bg-light sidebar">
                <div class="sidebar-sticky">
                    {{Form::open(['url' => route('support.dashboard.discounts.index'), 'method' => 'GET'])}}
                    {{-- Имя пользователя передано из экшена --}}
                    {{Form::label('user_email', 'E-Mail пользователя:') }}
                    {{Form::email('user_email')}}
                    {{Form::submit('Найти')}}
                    {{Form::close()}}
                    <a href="{{  route('support.dashboard.discounts.index') }}">Очистить</a>
                </div>
            </div>
            <main role="main" class="col-md-9 ml-sm-auto col-lg-10 px-4">
                <div class="table-responsive" style="font-size: .875rem">
                    <table class="table table-striped table-sm">
                        <thead class="thead-dark">
                            <tr>
                                <th>Пользователь</th>
                                <th>Продукт</th>
                                <th>Скидочная цена в рублях</th>
                                <th>Скидочная цена в долларах</th>
                                <th></th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach($discounts as $discount)
                            <tr>
                                <td>
                                    {{ $discount->user->email }}
                                <td>
                                    <a href="{{ route('support.dashboard.discounts.index', ['product_id' => $discount->product->id]) }}"
                                        data-method="get" rel="nofollow">{{ $discount->product->title }}</a>
                                    <p>
                                        <li class="far fa-ruble-sign"> {{ $discount->product->price_discount }}</li>
                                        <li class="far fa-dollar-sign"> {{ $discount->product->usd_price_discount }}
                                        </li>
                                    </p>
                                </td>
                                <td>
                                    {{ $discount->rub_price }}
                                </td>
                                <td>
                                    {{ $discount->usd_price }}
                                </td>
                                <td>
                                    {{-- <a href="#" class="btn btn-primary btn-sm" role="button" aria-pressed="true">Редактировать</a> --}}
                                    <form action="{{ route('support.dashboard.discounts.destroy', $discount->id) }}"
                                        method="post" class="d-inline">
                                        @csrf
                                        @method('delete')
                                        <button type="submit" class="btn btn-danger btn-sm" role="button"
                                            aria-pressed="true">Удалить</button>
                                    </form>
                                </td>
                            </tr>
                            @endforeach
                        </tbody>

                    </table>
                    {{ $discounts->withQueryString()->links() }}
                </div>

            </main>
        </div>
    </div>


    <script src="{{ mix('js/app.js') }}"></script>
    <script type="text/javascript" src="{{ asset('js/select2.js') }}"></script>
    <script type="text/javascript" src="{{ asset('js/floatingFormLabels.min.js') }}"></script>
    <script src="{{ asset('js/jquery.event.move.js') }}"></script>
    <script src="{{ asset('js/jquery.twentytwenty.js') }}"></script>
    <script src="{{ asset('js/libs/jquery.mousewheel.js') }}"></script>
    <script src="{{ asset('js/libs/SmoothScroll.js') }}"></script>
    <script type="text/javascript" src="{{ asset('js/app_custom.js') }}"></script>

</body>

</html>